Search documentation of wx

# View Source wxFontPickerEvent (wx v2.4.2)

Functions for wxFontPickerEvent class

This event class is used for the events generated by `wxFontPickerCtrl`.

See: `wxFontPickerCtrl`

This class is derived (and can use functions) from: `wxCommandEvent` `wxEvent`

wxWidgets docs: wxFontPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxFontPickerEventType` to subscribe to events of this type.

# Summary

## Types

wxFontPicker()
wxFontPickerEvent()
wxFontPickerEventType()

## Functions

getFont(This)

Retrieve the font the user has just selected.

# Types

Link to this type

# wxFontPicker()

View Source

    -type wxFontPicker() ::
              #wxFontPicker{type :: wxFontPickerEvent:wxFontPickerEventType(), font :: wxFont:wxFont()}.

Link to this type

# wxFontPickerEvent()

View Source

    -type wxFontPickerEvent() :: wx:wx_object().

Link to this type

# wxFontPickerEventType()

View Source

    -type wxFontPickerEventType() :: command_fontpicker_changed.

# Functions

Link to this function

# getFont(This)

View Source

    -spec getFont(This) -> wxFont:wxFont() when This :: wxFontPickerEvent().

Retrieve the font the user has just selected.